Subject: Re: [PATCH v6] doc: add an explanation of Git's data model

From: Ben Knoble <[email-masked]>
Date: Sat, 8 Nov 2025 19:48:56 -0500

> Le 7 nov. 2025 à 18:08, Junio C Hamano <[email-masked]> a écrit :
> 
> "Julia Evans" <[email-masked]> writes:
> 
>> ... I do not understand in what way this rephrasing helps the
>> reader, or how you think the current phrasing might cause confusion for the
>> reader.
> 
> A branch (or any ref) does *not* *REFERENCE* an ID.  They refer to
> objects by *recording* an ID.  The distinction is not clear with
> your wording.

I concur with your later email that this is not worth delaying the rest of the document for.

My only other opinion on the matter is: what does making this distinction clear do to benefit readers of this document? I cannot come up with one, and I suspect Julia cannot either. 

Clearly you feel strongly about it, though, given the shouty caps and “I have no more words” phrasing, which I find convey a tone that is… less than welcoming. Perhaps it’s simply time to move on? And someone motivated can propose improvements.